#ifndef ASSIGNMENT1_NODE_H
#define ASSIGNMENT1_NODE_H

typedef struct node {
    struct node *next_elem;
    char *data;
} Node;

void replaceData(Node *node, char *data);

Node *createNode(char *data);

void destroyNode(Node *node);

#endif //ASSIGNMENT1_NODE_H
